Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	The Linux NFS utility package
Name:		nfs-utils
Version:	1.1.2
Release:	1
Group:		System/Servers
License:	GPL
Source:		%{name}-%{version}.tar.gz
Source1:	exports
Source2:	nfs-client.init
Source3:	nfs-server.init
Source4:	nfs-server.sysconfig
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildRequires:	tcp_wrappers-devel e2fsprogs-devel glibc-devel
Requires:	portmap >= 6.0 tcp_wrappers
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun):	/sbin/service

%description
The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host.

%package	server
Summary: 	nfs-utils server.
Group: 		System/Servers
Requires: 	%{name} >= %{version}

%description	server
This package contains the server files only.

%pre
if [ "`grep rpcuser /etc/group`" = "" ]; then
    /usr/sbin/groupadd -g 29 rpcuser &>/dev/null 
fi

if [ "`grep -q rpcuser /etc/passwd`" = "" ]; then
    /usr/sbin/useradd -c "RPC Service User" \
    -s /sbin/nologin -u 29 -d /var/lib/nfs -g rpcuser rpcuser &>/dev/null
fi
if [ "`grep nogroup /etc/group`" = "" ]; then
	/usr/sbin/groupadd -g 65534 nogroup &>/dev/null
fi
if [ "`grep nobody /etc/passwd`" = "" ]; then
	/usr/sbin/useradd -u 65534 -c 'Dummy user' -d / -s /bin/false -g nogroup nobody &>/dev/null
fi

%preun
if [ "$1" = "0" ]; then
    /usr/sbin/userdel rpcuser 2>/dev/null 
    /usr/sbin/groupdel rpcuser 2>/dev/null 
fi
exit 0

%preun server
# stopping services and remove them
/sbin/service nfs-server stop > /dev/null 2>&1 || :;
/sbin/chkconfig --del nfs-server
# delete user and group
if [ "$1" = "0" ]; then
    /usr/sbin/userdel rpcuser 2>/dev/null 
    /usr/sbin/groupdel rpcuser 2>/dev/null 
fi
exit 0

%post
ldconfig

%post server
# Run nfs-server by default:
/sbin/chkconfig --add nfs-server >/dev/null 2>&1 || :;

%prep
%setup -n %{name}-%{version}

%build
./configure \
--mandir=%_mandir \
--with-statedir=/var/lib/nfs \
--sysconfdir=%_sysconfdir \
--disable-rquotad \
--enable-nfsv3 \
--enable-secure-statd \
--disable-nfsv4 \
--disable-gss
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
install -m 755 -d ${RPM_BUILD_ROOT}/var/lib/nfs/statd
install -m 755 -d ${RPM_BUILD_ROOT}/etc/rc.d/init.d
install -m 755 -d ${RPM_BUILD_ROOT}/etc/sysconfig
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/etc/
install -m 755 %{SOURCE2} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/nfs-client
install -m 755 %{SOURCE3} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/nfs-server
install -m 644 %{SOURCE4} ${RPM_BUILD_ROOT}/etc/sysconfig/nfs-server

%clean
rm -rf $RPM_BUILD_ROOT

%files server
%defattr(-,root,root)
%config(noreplace) /etc/sysconfig/nfs-server
%config(noreplace) /etc/exports
/etc/rc.d/init.d/nfs-server

%files
%defattr(-,root,root)
%doc ChangeLog README linux-nfs
%dir %attr(700,rpcuser,rpcuser) /var/lib/nfs/statd
%dir %attr(700,rpcuser,rpcuser) /var/lib/nfs/sm
%dir %attr(700,rpcuser,rpcuser) /var/lib/nfs/sm.bak
%attr(700,rpcuser,rpcuser) /var/lib/nfs/state
%config(noreplace) /var/lib/nfs/xtab
%config(noreplace) /var/lib/nfs/etab
%config(noreplace) /var/lib/nfs/rmtab
/etc/rc.d/init.d/nfs-client
/sbin/mount.nfs
/sbin/mount.nfs4
/sbin/umount.nfs
/sbin/umount.nfs4
%_sbindir/exportfs
%_sbindir/rpc.mountd
#%_sbindir/nhfsgraph
#%_sbindir/nhfsstone
%_sbindir/rpc.nfsd
%_sbindir/nfsstat
#%_sbindir/nhfsrun
%_sbindir/showmount
#%_sbindir/nhfsnums
%_sbindir/rpcdebug
#%_sbindir/rpc.lockd
%_sbindir/rpc.statd
%_sbindir/sm-notify
%_sbindir/start-statd
%_mandir/man5/exports.5.gz
%_mandir/man5/nfs.5.gz
%_mandir/man7/nfsd.7.gz
%_mandir/man8/nfsstat.8.gz
%_mandir/man8/showmount.8.gz
#%_mandir/man8/nhfsgraph.8.gz
%_mandir/man8/rpc.nfsd.8.gz
#%_mandir/man8/nhfsrun.8.gz
#%_mandir/man8/lockd.8.gz
#%_mandir/man8/rpc.lockd.8.gz
#%_mandir/man8/nhfsnums.8.gz
%_mandir/man8/statd.8.gz
%_mandir/man8/rpc.statd.8.gz
%_mandir/man8/mountd.8.gz
%_mandir/man8/nfsd.8.gz
%_mandir/man8/rpc.mountd.8.gz
%_mandir/man8/exportfs.8.gz
#%_mandir/man8/nhfsstone.8.gz
%_mandir/man8/rpcdebug.8.gz
%_mandir/man8/mount.nfs.8.gz
%_mandir/man8/rpc.sm-notify.8.gz
%_mandir/man8/sm-notify.8.gz
%_mandir/man8/umount.nfs.8.gz

%changelog
* Sun Mar 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- version update
* Fri Oct 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- version update
* Mon Aug 20 2007 Christian Metzen <metzench@ccux-linux.de> 1.1.0-3
- rebuild for missing server package
* Wed Aug 08 2007 Christian Wasem <wasem@ccux-linux.de> 1.1.0-2
- added chkconfig functionality, added server only package
* Wed May 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- version update
* Wed Feb 27 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.0.12-1
- version update
* Tue Jan 30 2007 Stefan Gottwadl <gotti@ccux-linux.de> 1.0.10-1
- Correct silly typing error which prevent the adding of user nobody
- version update
* Thu Aug 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.0.7-2
- Add nfs automount to init file nfs-client
* Wed May 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.7-1
- Tweaked Spec File, added new Summary, description, changelog
- Version update to 1.0.7
- new init Scripts
* Fri Mar 20 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.0.6-1
- Initial Build
